﻿using System;
using System.Diagnostics;

using PT.Scheduler;

namespace PlanetTogether.PlanetTogether.NoAnchorDrift
{
    class ATPInfo
    {
        public ATPInfo(Inventory a_inventory)
        {
            WarehouseId = a_inventory.Warehouse.Id;
            ItemId = a_inventory.Item.Id;
            InventoryId = a_inventory.Id;
            Adjustments = new AdjustmentList(a_inventory.GetAdjustmentArrayUnsorted());
            OnHandQty = a_inventory.OnHandQty;
            LeadTime = a_inventory.LeadTime;

            SetTestingValues(a_inventory);
        }

        public BaseId WarehouseId;
        public BaseId ItemId;
        public BaseId InventoryId;
        public AdjustmentList Adjustments;
        public decimal OnHandQty;
        public TimeSpan LeadTime;

#if DEBUG
        public Warehouse Warehouse;
        public Item Item;
#endif


        [Conditional("DEBUG")]
        private void SetTestingValues(Inventory a_inventory)
        {
#if DEBUG
            Warehouse = a_inventory.Warehouse;
            Item = a_inventory.Item;
#endif
        }
    }
}
