﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using PT.Scheduler;

namespace PlanetTogether.PlanetTogether.NoAnchorDrift
{
    class AdjustmentList
    {
        private List<Adjustment> m_adjustments; 

        public AdjustmentList(ReadOnlyAdjutmentArray a_originalList)
        {
            m_adjustments = new List<Adjustment>();
            for (int  adjI = 0; adjI < a_originalList.Count; adjI++)
            {
                PT.Scheduler.Adjustment adjustment = a_originalList[adjI];
                BaseId a_reasonId;
                if (adjustment.Reason != null)
                {
                    a_reasonId = adjustment.Reason.Id;
                }
                else
                {
                    a_reasonId = BaseId.NULL_ID;
                }
                //m_adjustments.Add(new Adjustment(adjustment.AdjDate, adjustment.ChangeQty, a_reasonId));
                //Testing
                m_adjustments.Add(new Adjustment(adjustment.AdjDate, adjustment.ChangeQty, adjustment.Reason));
            }
            Sort();
        }

        public Adjustment this[int a_index]
        {
            get { return m_adjustments[a_index]; }
        }

        public void Add(Adjustment a_adjustment)
        {
            m_adjustments.Add(a_adjustment);
            Sort();
        }

        public int Count
        {
            get { return m_adjustments.Count; }
        }

        private void Sort()
        {
            m_adjustments = m_adjustments.OrderBy(o => o.Time).ToList();
        }
    }
}
