﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using PT.Scheduler.Simulation.Customizations;

namespace PlanetTogether.PlanetTogether.NoAnchorDrift
{
    public class OperationScheduled : PT.Scheduler.Simulation.Customizations.OperationScheduled
    {
        NoAnchorDrift m_noAnchorDriftCust;

        public void SimulationInitialization(PT.Scheduler.ScenarioDetail a_sd, NoAnchorDrift a_noAnchorDriftCust)
        {
            m_noAnchorDriftCust = a_noAnchorDriftCust;
        }

        public void ScheduledExternalCall(PT.Scheduler.InternalOperation a_io, ref ChangeableOperationValues r_changableOperationValues, PT.Scheduler.ScenarioDetail a_sd, long a_simClock)
        {
            Scheduled(a_io, ref r_changableOperationValues, a_sd, a_simClock);
        }

        protected override void Scheduled(PT.Scheduler.InternalOperation a_io, ref ChangeableOperationValues r_changableOperationValues, PT.Scheduler.ScenarioDetail a_sd, long a_simClock)
        {
            if (m_noAnchorDriftCust != null)
            {
                m_noAnchorDriftCust.OperationScheduled(a_io, a_simClock);
            }
        }

        public override string Name => "OperationScheduled";

        public override string Description => "This is required for the CTP customization to work.";
    }
}
