﻿using System;
using System.Diagnostics;

using PT.Scheduler;

namespace PlanetTogether.PlanetTogether.NoAnchorDrift
{
    class ScheduledBlockInfo : BlockInfo
    {
        public ScheduledBlockInfo(BaseId a_resourceId, InternalActivity a_act) : base(a_resourceId, a_act)
        {
            StartTime = a_act.ScheduledStartDate;
            EndTime = a_act.ScheduledEndDate;
        }

        public DateTime StartTime;
        public DateTime EndTime;
    }

    class BlockInfo
    {
        public BlockInfo(BaseId a_resourceId, InternalActivity a_act)
        {
            ResourceId = a_resourceId;
            ActId = a_act.Id;
            SetJobName(a_act.Operation.ManufacturingOrder.Job.Name);
            SetOpName(a_act.Operation.Name);
        }

        public BaseId ActId;
        public BaseId ResourceId;

        [Conditional("DEBUG")]
        private void SetJobName(string a_jobName)
        {
            JobName = a_jobName;
        }


        [Conditional("DEBUG")]
        private void SetOpName(string a_opName)
        {
            OpName = a_opName;
        }

        public string JobName
        {
            get;
            private set;
        }

        public string OpName
        {
            get;
            private set;
        }
    }
}
